# -*- coding: UTF-8 -*-
# -*- Mode: Python; py-indent-offset: 4 -*-
# Authors: Nik Kim <fafhrd@legco.biz> 

from Interface import Interface

class IMailReceiver(Interface):
    """ object can receive mails """

    def message_new(user, msg, tool, portal, charset):
        """ receive mail object """

    def message_reply(user, msg, tool, portal, charset):
        """ receive mail object """

    def message_command(user, msg, command, tool, portal, charset):
        """ recieve command by email """

    def message_bounce(user, msg, tool, portal):
        """ recieve bounced email """
